unit Company;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfmCompany = class(TForm)
    GroupBox2: TGroupBox;
    BitBtn_Save: TBitBtn;
    BitBtn_Close: TBitBtn;
    GroupBox1: TGroupBox;
    Ed_ComPar: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Ed_ComName: TEdit;
    Ed_ManJob: TEdit;
    Ed_ManName: TEdit;
    Ed_ComNo: TEdit;
    Ed_Address: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    Label8: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label9: TLabel;
    Label7: TLabel;
    Label10: TLabel;
    Ed_Branch: TEdit;
    Ed_IsArea: TEdit;
    Ed_TEL: TEdit;
    Ed_FAX: TEdit;
    procedure BitBtn_CloseClick(Sender: TObject);
    procedure BitBtn_SaveClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmCompany: TfmCompany;

implementation
uses DModule;

{$R *.dfm}

procedure TfmCompany.BitBtn_CloseClick(Sender: TObject);
begin

  Close;

end;

procedure TfmCompany.BitBtn_SaveClick(Sender: TObject);
begin
  try
    try
      with DM.Qy_Company do
      begin
        open;
        if DM.Qy_Company.IsEmpty then
        begin
          insert;
        end
        else
        begin
          Edit;
          UpdateStatus;
        end;

        DM.Qy_Company.FieldByName('Company_Par').AsString := Ed_ComPar.Text;
        DM.Qy_Company.FieldByName('Company_Name').AsString := Ed_ComName.Text;
        DM.Qy_Company.FieldByName('TEL').AsString := Ed_TEL.Text;
        DM.Qy_Company.FieldByName('Branch_Name').AsString := Ed_Branch.Text;
        DM.Qy_Company.FieldByName('Manager_Job').AsString := Ed_ManJob.Text;
        DM.Qy_Company.FieldByName('Manager_Name').AsString := Ed_ManName.Text;
        DM.Qy_Company.FieldByName('Company_No').AsString := Ed_ComNo.Text;
        DM.Qy_Company.FieldByName('Address').AsString := Ed_Address.Text;
        DM.Qy_Company.FieldByName('FAX_TEL').AsString := Ed_FAX.Text;
        DM.Qy_Company.FieldByName('Issue_Area').AsString := Ed_IsArea.Text;
        post;
      end;
      showmessage('xsq򥻸Ʀ\!!');
      fmCompany.Close;
    except
      showmessage('xsq򥻸ƥ!!');
    end;

  finally
    DM.Qy_Company.Close;
  end;
end;



procedure TfmCompany.FormActivate(Sender: TObject);
begin
  with DM.Qy_Company do
  begin
    Open;
    if not DM.Qy_Company.IsEmpty then
    begin
      Ed_ComPar.Text := DM.Qy_Company.FieldByName('Company_Par').AsString;
      Ed_ComName.Text := DM.Qy_Company.FieldByName('Company_Name').AsString;
      Ed_TEL.Text := DM.Qy_Company.FieldByName('TEL').AsString;
      Ed_Branch.Text := DM.Qy_Company.FieldByName('Branch_Name').AsString;
      Ed_ManJob.Text := DM.Qy_Company.FieldByName('Manager_Job').AsString;
      Ed_ManName.Text := DM.Qy_Company.FieldByName('Manager_Name').AsString;
      Ed_ComNo.Text := DM.Qy_Company.FieldByName('Company_No').AsString;
      Ed_Address.Text := DM.Qy_Company.FieldByName('Address').AsString;
      Ed_FAX.Text := DM.Qy_Company.FieldByName('FAX_TEL').AsString;
      Ed_IsArea.Text := DM.Qy_Company.FieldByName('Issue_Area').AsString;
    end;
    Close;
  end;
  fmCompany.Ed_ComPar.SetFocus;

end;

end.
