unit Receipt;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfmReceipt = class(TForm)
    GroupBox2: TGroupBox;
    BitBtn_Close: TBitBtn;
    BitBtn_Print: TBitBtn;
    GroupBox1: TGroupBox;
    Label23: TLabel;
    Label42: TLabel;
    Label1: TLabel;
    Label3: TLabel;
    Label7: TLabel;
    Label27: TLabel;
    Label22: TLabel;
    Label21: TLabel;
    Label20: TLabel;
    Ed_InsSum: TEdit;
    Ed_Premium: TEdit;
    Ed_Policy: TEdit;
    Ed_Rate: TEdit;
    Ed_Receipt: TEdit;
    Ed_Currency: TEdit;
    Ed_Insured1: TEdit;
    Ed_Invoice: TEdit;
    Ed_FPort: TEdit;
    Ed_TPort: TEdit;
    Label2: TLabel;
    Ed_SBU: TEdit;
    Label6: TLabel;
    Label8: TLabel;
    Ed_SalesNo: TEdit;
    Ed_ColStaffNo: TEdit;
    Ed_Kind: TEdit;
    Ed_Year: TEdit;
    Ed_Insured2: TEdit;
    Label9: TLabel;
    Label10: TLabel;
    Label4: TLabel;
    Ed_OPremium: TEdit;
    Label5: TLabel;
    procedure BitBtn_CloseClick(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure Ed_ReceiptExit(Sender: TObject);
    procedure BitBtn_PrintClick(Sender: TObject);
    procedure Ed_RateExit(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmReceipt: TfmReceipt;

implementation

uses Report_R, MainForm, DModule;

{$R *.dfm}

procedure TfmReceipt.BitBtn_CloseClick(Sender: TObject);
begin

  Close;

end;

procedure TfmReceipt.BitBtn2Click(Sender: TObject);
begin

  Close;

end;

procedure TfmReceipt.Ed_ReceiptExit(Sender: TObject);
begin

  if not ((Ed_Receipt.Text = 'O') or (Ed_Receipt.Text = 'C')) then
  begin
    showmessage('пJO,C䤤@!!');
    Ed_Receipt.SetFocus;
  end;

end;

procedure TfmReceipt.BitBtn_PrintClick(Sender: TObject);
var
  FPort, TPort, Branch, LC, IL,Dollar_Str: String;
  Dollar_Cnt: Integer;
begin

  FPort := '';
  TPort := '';
  Branch := '';
  LC := '';
  IL := '';
  if (Ed_Receipt.Text = '') or (Ed_Rate.Text = '') then
    showmessage('⪺쥲AбNƶ!!')
  else
  begin
    try
      try
        with DM.Qy_Search do
        begin
          Close;
          Sql.Clear;
          SQL.Add('delete from Rp_temp ');
          ExecSQL;
        end;

        with DM.Qy_QPlant do
        begin
          Close;
          SQL.Clear;
          SQL.Add('SELECT Plant_Name ');
          SQL.Add('FROM Plant ');
          SQL.Add('WHERE Plant_Par=:plant_par ');
          Params[0].AsString := Ed_FPort.Text;
          Open;
          FPort := FieldByName('Plant_Name').AsString;
          Close;

          Params[0].AsString := Ed_TPort.Text;
          Open;
          TPort := FieldByName('Plant_Name').AsString;
          Close;
        end;

        with DM.Qy_QPolicy do
        begin
          Close;
          Params[0].AsString := Ed_Policy.Text;
          Open;
          LC := FieldByName('LC').AsString;
          IL := FieldByName('IL').AsString;
          Close;
        end;


        DM.Qy_Company.Open;

        with DM.Qy_Search do
        begin
          Close;
          RequestLive := True;
          Sql.Clear;
          SQL.Add('select * from Rp_temp ');
          Open;
          Insert;

          if Ed_Receipt.Text = 'O' then
          begin
            FieldByName('Field1').AsString := copy(DM.Qy_Company.FieldByName('Branch_Name').AsString,1,2);
            FieldByName('Field25').AsString := copy(DM.Qy_Company.FieldByName('Branch_Name').AsString,3,2);
            FieldByName('Field2').AsString := DM.Qy_Company.FieldByName('Manager_Job').AsString + ':' + DM.Qy_Company.FieldByName('Manager_Name').AsString;
            FieldByName('Field3').AsString := DM.Qy_Company.FieldByName('Company_No').AsString;
          end
          else if Ed_Receipt.Text = 'C' then
          begin
            FieldByName('Field1').AsString := '';
            FieldByName('Field25').AsString := '';
            FieldByName('Field2').AsString := '';
            FieldByName('Field3').AsString := '';
          end;

          FieldByName('Field4').AsString := DM.Qy_Company.FieldByName('Company_Par').AsString + '-' + Ed_Year.Text + '-' + copy(Ed_Policy.Text, 1, 8) + '-' + copy(Ed_Policy.Text, 9, 5) + '-' + Ed_Kind.Text;
          FieldByName('Field5').AsString := Ed_Insured1.Text;
          FieldByName('Field21').AsString := Ed_Insured2.Text;
          FieldByName('Field6').AsString := 'INV.NOG'+ Ed_Invoice.Text;
          FieldByName('Field7').AsString := Ed_Currency.Text+'$'+Formatfloat('##,###,###,##0.00',strtofloat(Ed_OPremium.text));
          FieldByName('Field8').AsString := Ed_Currency.Text + '$' + Formatfloat('##,###,###,##0.00', strtofloat(Ed_InsSum.Text));
          Dollar_Str := Ed_Currency.Text + ' DOLLARS ' + fmMain.Tran_Prm(Formatfloat('00000000000.00', strtofloat(Ed_OPremium.text)));
          Dollar_Cnt := length(Ed_Currency.Text + ' DOLLARS ' + fmMain.Tran_Prm(Formatfloat('00000000000.00', strtofloat(Ed_OPremium.text))));

          if Dollar_Cnt < 41 then
          begin
             FieldByName('Field22').AsString := copy(Dollar_Str,1,Dollar_Cnt);
          end
          else if ((Dollar_Cnt > 41) and (Dollar_Cnt < 81) )  then
          begin
            FieldByName('Field22').AsString := copy(Dollar_Str,1,40);
            FieldByName('Field23').AsString := copy(Dollar_Str,41,Dollar_Cnt-40);
          end
          else  if  (Dollar_Cnt > 81) and  (Dollar_Cnt < 121) then
          begin
            FieldByName('Field22').AsString := copy(Dollar_Str,1,40);
            FieldByName('Field23').AsString := copy(Dollar_Str,41,40);
            FieldByName('Field24').AsString := copy(Dollar_Str,81,Dollar_Cnt-80);
          end
          else  if  (Dollar_Cnt > 121) and  (Dollar_Cnt < 161) then
          begin
            FieldByName('Field22').AsString := copy(Dollar_Str,1,40);
            FieldByName('Field23').AsString := copy(Dollar_Str,41,40);
            FieldByName('Field24').AsString := copy(Dollar_Str,81,40);
            FieldByName('Field25').AsString := copy(Dollar_Str,121,Dollar_Cnt-120);
          end;




          FieldByName('Field9').AsString := 'FromG'+ FPort;
          FieldByName('Field10').AsString := 'ToG'+ TPort;
          FieldByName('Field11').AsString := copy(Ed_Policy.Text, 1, 8);
          FieldByName('Field12').AsString := Formatfloat('##,###,###,##0.00', strtofloat(Ed_Premium.Text));
          FieldByName('Field13').AsString := Ed_SBU.Text;
          FieldByName('Field14').AsString := Ed_SalesNo.Text;
          FieldByName('Field15').AsString := 'EX RATEG' + Ed_Rate.Text;
          FieldByName('Field16').AsString := Ed_ColStaffNo.Text;
          FieldByName('Field17').AsString := DM.Qy_Company.FieldByName('Address').AsString;
          FieldByName('Field18').AsString := 'TELG'+ DM.Qy_Company.FieldByName('TEL').AsString;
          FieldByName('Field19').AsString := 'L/C NoG' + LC;
          FieldByName('Field20').AsString := 'I/L NoG' + IL;

          Post;
        end;
      except
        showmessage('IڦCLoͿ~!!');
      end;
    finally
      DM.Qy_Search.Close;
      DM.Qy_QPlant.Close;
      DM.Qy_Company.Close;
      fmReceipt.Close;
    end;

    Rp_R := TRp_R.Create(Application);
    DM.Qy_Report.Open;
    Rp_R.QRL3.Caption := IntToStr(StrToInt(copy(FormatDateTime('yyyy/mm/dd', now), 1, 4)) - 1911);
    Rp_R.QRL4.Caption := copy(FormatDateTime('yyyy/mm/dd', now), 6, 2);
    Rp_R.QRL5.Caption := copy(FormatDateTime('yyyy/mm/dd', now), 9, 2);
    //Rp_R.QRL6.Caption := Ed_Currency.Text + ' DOLLARS ' + fmMain.Tran_Prm(Formatfloat('00000000000.00', strtofloat(Ed_OPremium.text)));
      //    FieldByName('Field16').AsString := Ed_Currency.Text + ' DOLLARS ' + Tran_Prm(Formatfloat('00000000000.00', strtofloat(Ed_InsSum.text)));

    Rp_R.Preview;

  end;

end;

procedure TfmReceipt.Ed_RateExit(Sender: TObject);
var
  TempNum, total: Double;
begin

  try
    TempNum := StrToFloat(TEdit(Sender).Text);
    total := StrToFloat(Ed_Premium.Text) / StrToFloat(Ed_Rate.Text);
    Ed_OPremium.Text := floattostr(fmMain.Rnd_Val(total));

  except
    ShowMessage('пJƦr!!');
    Ed_Rate.SetFocus;
  end;

end;





procedure TfmReceipt.FormClose(Sender: TObject; var Action: TCloseAction);
begin

  Ed_Year.Text := '';
  Ed_Policy.Text := '';
  Ed_Kind.Text := '';
  Ed_Insured1.Text := '';
  Ed_Insured2.Text := '';
  Ed_InsSum.Text := '';
  Ed_OPremium.Text := '';
  Ed_Premium.Text := '';
  Ed_Currency.Text := '';
  Ed_Rate.Text := '';
  Ed_Receipt.Text := '';
  Ed_SalesNo.Text := '';
  Ed_ColStaffNo.Text := '';
  Ed_Invoice.Text := '';
  Ed_SBU.Text := '';
  Ed_FPort.Text := '';
  Ed_TPort.Text := '';

end;

end.
