unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ComCtrls, StdCtrls, Buttons, ExtCtrls, Grids, DBGrids,
  DBCtrls, Mask;

type
  TfmMain = class(TForm)
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N3: TMenuItem;
    N7: TMenuItem;
    N8: TMenuItem;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label31: TLabel;
    Label32: TLabel;
    Label35: TLabel;
    Label34: TLabel;
    Label43: TLabel;
    Label49: TLabel;
    Label41: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label48: TLabel;
    Label47: TLabel;
    Label46: TLabel;
    Label45: TLabel;
    Label44: TLabel;
    Label23: TLabel;
    Label27: TLabel;
    Label29: TLabel;
    Label28: TLabel;
    Label30: TLabel;
    Label50: TLabel;
    Ed_InsSum: TEdit;
    Ed_SalesNo: TEdit;
    Ed_Currency: TEdit;
    Ed_Amount: TEdit;
    Ed_ColStaffNo: TEdit;
    Ed_TCode: TEdit;
    Ed_PForm: TEdit;
    Ed_SBU: TEdit;
    Ed_OPolicy: TEdit;
    Ed_IdNo: TEdit;
    Ed_CusNo: TEdit;
    Ed_OTEL: TEdit;
    Ed_MTEL: TEdit;
    ComBx_Kind: TComboBox;
    Ed_Policy2: TEdit;
    Ed_Policy1: TEdit;
    Ed_Year: TEdit;
    Ed_MAddress: TEdit;
    Ed_OAddress: TEdit;
    Ed_FAX: TEdit;
    Ed_Insured1: TEdit;
    GroupBox1: TGroupBox;
    ComBx_Copy: TComboBox;
    TabSheet2: TTabSheet;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    DBNavigator2: TDBNavigator;
    DBGrid_Plant: TDBGrid;
    Ed_Invoice: TEdit;
    Memo_Declare: TMemo;
    Ed_FPort: TEdit;
    Ed_TPort: TEdit;
    TabSheet3: TTabSheet;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label19: TLabel;
    DBGrid_Condition: TDBGrid;
    DBNavigator1: TDBNavigator;
    Ed_Vessel: TEdit;
    Ed_TranAt: TEdit;
    Ed_TranInto: TEdit;
    Ed_AppArea: TEdit;
    Ed_Voyage: TEdit;
    Ed_Con2: TEdit;
    Ed_Con1: TEdit;
    Ed_Con4: TEdit;
    Ed_Con3: TEdit;
    Ed_Con5: TEdit;
    Ed_Con6: TEdit;
    Ed_Con7: TEdit;
    Ed_Con8: TEdit;
    Ed_Con9: TEdit;
    Ed_Con10: TEdit;
    BitBtn_Save: TBitBtn;
    BitBtn_Print: TBitBtn;
    BitBtn_Delete: TBitBtn;
    Ed_Insured2: TEdit;
    Label42: TLabel;
    Ed_Benefic: TEdit;
    Label26: TLabel;
    Label1: TLabel;
    Ed_LC: TEdit;
    Ed_IL: TEdit;
    Label3: TLabel;
    Label5: TLabel;
    Memo_GP: TMemo;
    Label9: TLabel;
    Label10: TLabel;
    Ed_CPlace: TEdit;
    Ed_CAgent: TEdit;
    Ed_Premium: TEdit;
    Ed_SailDate: TEdit;
    Ed_IssueDate: TEdit;
    Ed_AppDate: TEdit;
    Label11: TLabel;
    Label18: TLabel;
    Label33: TLabel;
    procedure N3Click(Sender: TObject);
    procedure N8Click(Sender: TObject);
    procedure Ed_IssueDateExit(Sender: TObject);
    procedure Ed_AppDateExit(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure N7Click(Sender: TObject);
    procedure N5Click(Sender: TObject);
    procedure BitBtn_SaveClick(Sender: TObject);
    procedure Ed_SailDateExit(Sender: TObject);
    procedure BitBtn_DeleteClick(Sender: TObject);
    procedure Ed_PFormExit(Sender: TObject);
    procedure Ed_TCodeExit(Sender: TObject);
    procedure Ed_InsSumExit(Sender: TObject);
    procedure Ed_PremiumExit(Sender: TObject);
    procedure Ed_AmountExit(Sender: TObject);
    procedure BitBtn_PrintClick(Sender: TObject);
    procedure Ed_Policy1Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Field_Clear;
    function Tran_Prm(const p_prm_str: string): string; //ഫOOBԭz
    function Tran_Val(const p_val: integer): string; //ഫƭȱԭz
    function Tran_Date(const p_dt_str: string): string; //ഫԭz
    function Rnd_Val(const p_org_val: double): double; //ƭȥ|ˤJ
  end;

var
  fmMain: TfmMain;
const Fst_Ary: array[0..18] of string = ('ONE', 'TWO', 'THREE', 'FOUR', 'FIVE', 'SIX', 'SEVEN', 'EIGHT', 'NIGHT', 'TEN', 'ELEVEN', 'TWELVE', 'THIRTEEN', 'FOURTEEN', 'FIFTEEN', 'SIXTEEN', 'SEVENTEEN', 'EIGHTEEN', 'NINETEEN');
const Lst_Ary: array[0..7] of string = ('TWENTY', 'THIRTY', 'FOURTY', 'FIFTY', 'SIXTY', 'SEVENTY', 'EIGHTY', 'NINETY');
const Mth_Ary: array[0..11] of string = ('JAN.', 'FEB.', 'MAR.', 'APR.', 'MAY.', 'JUN.', 'JUL.', 'AUG.', 'SEP.', 'OCT.', 'NOV.', 'DEC.');
const Prt_Ary: array[0..7] of string = ('IN ORIGINAL', 'IN DUPLICATE', 'IN TRIPLICATE', 'IN QUADRUPLICATE', 'IN QUINTUPLICATE', 'IN SEXTUPLICATE', 'IN SEPTUPLICATE', 'IN OCTUPLICATE');


implementation

uses Company, DModule, Receipt, Report_RO, Report_RN, Report_RT;

{$R *.dfm}

procedure TfmMain.Field_Clear;
begin

  PageControl1.Visible := False;
  BitBtn_Save.Visible := False;
  BitBtn_Delete.Visible := False;
  BitBtn_Print.Visible := False;
               //Ĥ@
  Ed_Year.Text := '';
  Ed_Policy1.Text := '';
  Ed_Policy2.Text := '';
  ComBx_Kind.ItemIndex := 0;
  ComBx_Copy.ItemIndex := 0;
  Ed_Benefic.Text := '';
  Ed_Insured1.Text := '';
  Ed_Insured2.Text := '';
  Ed_SalesNo.Text := '';
  Ed_OAddress.Text := '';
  Ed_MAddress.Text := '';
  Ed_FAX.Text := '';
  Ed_InsSum.Text := '';
  Ed_Premium.Text := '';
  Ed_SalesNo.Text := '';
  Ed_ColStaffNo.Text := '';
  Ed_Currency.Text := '';
  Ed_Amount.Text := '';
  Ed_SailDate.Text := '';
  Ed_PForm.Text := '';
  Ed_TCode.Text := '';
  Ed_OPolicy.Text := '';
  Ed_IdNo.Text := '';
  Ed_CusNo.Text := '';
  Ed_OTEL.Text := '';
  Ed_MTEL.Text := '';
  Ed_IssueDate.Text := '';
  Ed_SBU.Text := '';

                 //ĤG
  Memo_Declare.Clear;
  Ed_Invoice.Text := '';
  Ed_FPort.Text := '';
  Ed_TPort.Text := '';
  Ed_LC.Text := '';
  Ed_IL.Text := '';
  Ed_CPlace.Text := '';
  Ed_CAgent.Text := '';
                //ĤT
  Ed_Vessel.Text := '';
  Ed_Voyage.Text := '';
  Ed_TranAt.Text := '';
  Ed_TranInto.Text := '';
  Ed_Con1.Text := '';
  Ed_Con2.Text := '';
  Ed_Con3.Text := '';
  Ed_Con4.Text := '';
  Ed_Con5.Text := '';
  Ed_Con6.Text := '';
  Ed_Con7.Text := '';
  Ed_Con8.Text := '';
  Ed_Con9.Text := '';
  Ed_Con10.Text := '';
  Ed_AppArea.Text := '';
  Ed_AppDate.Text := '';
  Memo_GP.Text := '';

end;


function TfmMain.Tran_Prm(const p_prm_str: string): string;
var
  w_prm_str: string;
begin

 w_prm_str := '' ;
  if strtoint(copy(p_prm_str,1,2)) > 0 then
    w_prm_str := w_prm_str + Tran_Val(strtoint(copy(p_prm_str,1,2))) + ' BILLION ' ;
  if strtoint(copy(p_prm_str,3,1)) > 0 then
    w_prm_str := w_prm_str + Tran_Val(strtoint(copy(p_prm_str,3,1))) + ' HUNDRED ' ;
  if strtoint(copy(p_prm_str,4,2)) > 0 then
    w_prm_str := w_prm_str + Tran_Val(strtoint(copy(p_prm_str,4,2))) + ' MILLION ' ;
  if (strtoint(copy(p_prm_str,3,1)) > 0) and (strtoint(copy(p_prm_str,4,2)) = 0) then
    w_prm_str := w_prm_str + ' MILLION ';
  if strtoint(copy(p_prm_str,6,1)) > 0 then
    w_prm_str := w_prm_str + Tran_Val(strtoint(copy(p_prm_str,6,1))) + ' HUNDRED ' ;
  if strtoint(copy(p_prm_str,7,2)) > 0 then
    w_prm_str := w_prm_str + Tran_Val(strtoint(copy(p_prm_str,7,2))) + ' THOUSAND ' ;
  if (strtoint(copy(p_prm_str,6,1)) > 0) and (strtoint(copy(p_prm_str,7,2)) = 0) then
    w_prm_str := w_prm_str + ' THOUSAND ';
  if strtoint(copy(p_prm_str,9,1)) > 0 then
    w_prm_str := w_prm_str + Tran_Val(strtoint(copy(p_prm_str,9,1))) + ' HUNDRED ' ;
  if strtoint(copy(p_prm_str,10,2)) > 0 then
    w_prm_str := w_prm_str + Tran_Val(strtoint(copy(p_prm_str,10,2))) + ' ' ;
  if strtoint(copy(p_prm_str,13,2)) > 0 then
    w_prm_str := w_prm_str + 'AND CENTS ' + Tran_Val(strtoint(copy(p_prm_str,13,2))) + ' ' ;

  w_prm_str := w_prm_str + 'ONLY.' ;
  Result := w_prm_str ;

end;


function TfmMain.Tran_Val(const p_val: integer): string;
begin

  Tran_Val := '';
  if p_val = 0 then
    Tran_Val := ''
  else
  begin
    if p_val >= 20 then
    begin
      if strtoint(copy(inttostr(p_val), 2, 1)) = 0 then
        Tran_Val := Lst_Ary[strtoint(copy(inttostr(p_val), 1, 1)) - 2]
      else
        Tran_Val := Lst_Ary[strtoint(copy(inttostr(p_val), 1, 1)) - 2] + ' ' + Fst_Ary[strtoint(copy(inttostr(p_val), 2, 1)) - 1];
    end
    else
      Tran_Val := Fst_Ary[p_val - 1];
  end;

end;


function TfmMain.Tran_Date(const p_dt_str: string): string;
begin

  Tran_Date := Mth_Ary[strtoint(copy(p_dt_str, 5, 2)) - 1] + ' ' + copy(p_dt_str, 7, 2) + ', ' + copy(p_dt_str, 1, 4);

end;


function TfmMain.Rnd_Val(const p_org_val: double): double;
var w_sign, icnt, p_fmt_typ: integer;
  w_fmt_typ, w_fmt_str: string;
  w_org_val, w_fmt_val: double;

begin
  p_fmt_typ := 2;
  if p_org_val < 0 then w_sign := -1
  else w_sign := 1;
  if p_fmt_typ > 0 then
  begin
    w_fmt_typ := '##########.';
    w_fmt_str := '0.';
    for icnt := 1 to p_fmt_typ do
    begin
      w_fmt_typ := w_fmt_typ + '#';
      if icnt = p_fmt_typ then
        w_fmt_str := w_fmt_str + '1'
      else
        w_fmt_str := w_fmt_str + '0';
    end;
  end
  else
  begin
    w_fmt_str := '1';
    w_fmt_typ := '##########';
  end;
  w_fmt_val := strtofloat(w_fmt_str);
  w_org_val := strtofloat(FormatFloat(w_fmt_typ, abs(p_org_val)));
  if (abs(p_org_val) - w_org_val) < (w_org_val + w_fmt_val - abs(p_org_val)) then Result := w_org_val * w_sign
  else Result := (w_org_val + w_fmt_val) * w_sign;
end;


procedure TfmMain.N3Click(Sender: TObject);
begin

  Close;

end;


procedure TfmMain.N8Click(Sender: TObject);
begin

  fmCompany.Width := 500;
  fmCompany.Height := 325;
  fmCompany.ShowModal;

end;


procedure TfmMain.Ed_IssueDateExit(Sender: TObject);
begin
{
  try
    TempDate := StrToDate(TMaskEdit(Sender).Text);
  except
    ShowMessage('榡~!!');
    Ed_IssueDate.SetFocus;
  end;
}
end;


procedure TfmMain.Ed_AppDateExit(Sender: TObject);
begin
{
  try
    TempDate := StrToDate(TMaskEdit(Sender).Text);
  except
    ShowMessage('榡~!!');
    Ed_AppDate.SetFocus;
  end;
 }
end;


procedure TfmMain.FormClose(Sender: TObject; var Action: TCloseAction);
begin

  DM.Database1.CloseDataSets;
  DM.Qy_Condition.Open;
  DM.Qy_Plant.Open;
  DM.Database1.Connected := False;


end;


procedure TfmMain.FormCreate(Sender: TObject);
begin

  DM.Database1.Connected := True;
  DM.Qy_Condition.Open;
  DM.Qy_Plant.Open;

end;


procedure TfmMain.N4Click(Sender: TObject);
var
  N_year: string;
begin

  N_year := '';
  Field_Clear;
  PageControl1.Visible := True;
  BitBtn_Save.Visible := True;
  BitBtn_Print.Visible := True;
  BitBtn_Save.Caption := 'xssW';
  Ed_Year.Text := IntToStr(StrToInt(copy(FormatDateTime('yyyy/mm/dd', now), 1, 4)) - 1911);
  Ed_Year.SetFocus;

end;


procedure TfmMain.N7Click(Sender: TObject);
var
  iCount: Integer;
  policy_no, customer_no: string;
  check_flag: Boolean;
begin

  try
    try
      Field_Clear;
      check_flag := False;
      policy_no := '';
      policy_no := InputBox('d߫O','пJO渹X !!','');


      if policy_no <> '' then
      begin
        with DM.Qy_search do //MO_oO
        begin
          Close;
          SQL.Clear;
          SQL.Add('SELECT Customer_No FROM Policy WHERE Policy_No =:policy_no ');
          Params[0].AsString := policy_no;
          Open;

          if DM.Qy_search.IsEmpty then
            showmessage('SoO!!')
          else
          begin
            check_flag := True;
            customer_no := FieldByName('Customer_No').AsString;
          end;
          Close;
        end;
      end
      else
        showmessage('SJO渹X!!');

      if check_flag = True then
      begin
        PageControl1.Visible := True;
        BitBtn_Save.Visible := True;
        BitBtn_Delete.Visible := True;
        BitBtn_Print.Visible := True;
        BitBtn_Save.Caption := 'xsק';

        DM.Qy_QPolicy.Params[0].AsString := policy_no;
        DM.Qy_QCustomer.Params[0].AsString := customer_no;
        DM.Qy_QPolicy.Open;
        DM.Qy_QCustomer.Open;

        Ed_Policy1.Text := copy(DM.Qy_QPolicy.FieldByName('Policy_No').AsString, 1, 8);
        Ed_Policy2.Text := copy(DM.Qy_QPolicy.FieldByName('Policy_No').AsString, 9, 5);
        Ed_Year.Text := DM.Qy_QPolicy.FieldByName('Year').AsString;
        Ed_CusNo.Text := DM.Qy_QCustomer.FieldByName('Customer_No').AsString;
        Ed_OTEL.Text := DM.Qy_QCustomer.FieldByName('O_TEL').AsString;
        Ed_MTEL.Text := DM.Qy_QCustomer.FieldByName('M_TEL').AsString;
        Ed_OAddress.Text := DM.Qy_QCustomer.FieldByName('O_Address').AsString;
        Ed_MAddress.Text := DM.Qy_QCustomer.FieldByName('M_Address').AsString;
        Ed_FAX.Text := DM.Qy_QCustomer.FieldByName('FAX_TEL').AsString;
        Ed_SalesNo.Text := DM.Qy_QCustomer.FieldByName('Sales_No').AsString;
        Ed_Insured1.Text := DM.Qy_QCustomer.FieldByName('Insured1').AsString;
        Ed_Insured2.Text := DM.Qy_QCustomer.FieldByName('Insured2').AsString;

        Ed_PForm.Text := DM.Qy_QPolicy.FieldByName('PForm_Par').AsString;
        Ed_SBU.Text := DM.Qy_QPolicy.FieldByName('SBU').AsString;
        Ed_Currency.Text := DM.Qy_QPolicy.FieldByName('Currency_Par').AsString;
        Ed_Amount.Text := FloatToStr(DM.Qy_QPolicy.FieldByName('Amount').AsFloat);
        Ed_FPort.Text := DM.Qy_QPolicy.FieldByName('From_Port').AsString;
        Ed_TPort.Text := DM.Qy_QPolicy.FieldByName('To_Port').AsString;
        Ed_TCode.Text := DM.Qy_QPolicy.FieldByName('Trans_Code').AsString;
        Ed_Vessel.Text := DM.Qy_QPolicy.FieldByName('Vessel_Name').AsString;
        Ed_Voyage.Text := DM.Qy_QPolicy.FieldByName('Voyage').AsString;
        Ed_SailDate.Text := DM.Qy_QPolicy.FieldByName('Sail_Date').AsString;
        Ed_AppArea.Text := DM.Qy_QPolicy.FieldByName('Appl_Area').AsString;
        Ed_AppDate.Text := DM.Qy_QPolicy.FieldByName('Appl_Date').AsString;
        Memo_Declare.Text := DM.Qy_QPolicy.FieldByName('Declare').AsString;
        Ed_Invoice.Text := DM.Qy_QPolicy.FieldByName('Invoice_No').AsString;
        Ed_Con1.Text := DM.Qy_QPolicy.FieldByName('Condition1').AsString;
        Ed_Con2.Text := DM.Qy_QPolicy.FieldByName('Condition2').AsString;
        Ed_Con3.Text := DM.Qy_QPolicy.FieldByName('Condition3').AsString;
        Ed_Con4.Text := DM.Qy_QPolicy.FieldByName('Condition4').AsString;
        Ed_Con5.Text := DM.Qy_QPolicy.FieldByName('Condition5').AsString;
        Ed_Con6.Text := DM.Qy_QPolicy.FieldByName('Condition6').AsString;
        Ed_Con7.Text := DM.Qy_QPolicy.FieldByName('Condition7').AsString;
        Ed_Con8.Text := DM.Qy_QPolicy.FieldByName('Condition8').AsString;
        Ed_Con9.Text := DM.Qy_QPolicy.FieldByName('Condition9').AsString;
        Ed_Con10.Text := DM.Qy_QPolicy.FieldByName('Condition10').AsString;
        Memo_GP.Text := DM.Qy_QPolicy.FieldByName('GP').AsString;
        Ed_LC.Text := DM.Qy_QPolicy.FieldByName('LC').AsString;
        Ed_IL.Text := DM.Qy_QPolicy.FieldByName('IL').AsString;
        Ed_TranAt.Text := DM.Qy_QPolicy.FieldByName('Trans_At').AsString;
        Ed_TranInto.Text := DM.Qy_QPolicy.FieldByName('Trans_To').AsString;
        Ed_CPlace.Text := DM.Qy_QPolicy.FieldByName('ClaimPlace').AsString;
        Ed_CAgent.Text := DM.Qy_QPolicy.FieldByName('ClaimAgent').AsString;
        Ed_OPolicy.Text := DM.Qy_QPolicy.FieldByName('O_Policy_No').AsString;
        Ed_CusNo.Text := DM.Qy_QPolicy.FieldByName('Customer_No').AsString;
        Ed_Insured1.Text := DM.Qy_QPolicy.FieldByName('Insured1').AsString;
        Ed_Insured2.Text := DM.Qy_QPolicy.FieldByName('Insured2').AsString;
        Ed_InsSum.Text := FloatToStr(DM.Qy_QPolicy.FieldByName('Insur_Sum').AsFloat);
        Ed_Premium.Text := FloatToStr(DM.Qy_QPolicy.FieldByName('Premium').AsFloat);
        Ed_ColStaffNo.Text := DM.Qy_QPolicy.FieldByName('ColStaff_No').AsString;
        Ed_SalesNo.Text := DM.Qy_QPolicy.FieldByName('Sales_No').AsString;
        Ed_Benefic.Text := DM.Qy_QPolicy.FieldByName('Benefic').AsString;
        Ed_IdNo.Text := DM.Qy_QPolicy.FieldByName('Id_No').AsString;
        Ed_IssueDate.Text := DM.Qy_QPolicy.FieldByName('Issue_Date').AsString;
                                                             //comboboxqXɮת
        for iCount := 0 to ComBx_Kind.Items.Count - 1 do
        begin
          if copy(ComBx_Kind.Items.Strings[iCount], 1, 3) = DM.Qy_QPolicy.FieldByName('Policy_Kind').AsString then
            ComBx_Kind.ItemIndex := iCount;
        end;

        for iCount := 0 to ComBx_Copy.Items.Count - 1 do
        begin
          if copy(ComBx_Copy.Items.Strings[iCount], 1, 1) = IntToStr(DM.Qy_QPolicy.FieldByName('Copy').AsInteger) then
            ComBx_Copy.ItemIndex := iCount;
        end;

      end;

    except
      showmessage('IOdߵoͿ~!!');
    end;

  finally
    DM.Qy_search.Close;
    DM.Qy_QPolicy.Close;
    DM.Qy_QCustomer.Close;
  end;

end;


procedure TfmMain.N5Click(Sender: TObject);
var
  j: Integer;
  policy_no, customer_no: string;
  check_flag: Boolean;
begin
  try
    try
      Field_Clear;
      check_flag := False;
      policy_no := '';
      policy_no := InputBox('CLI', 'пJO渹X !!', '');

      if policy_no <> '' then
      begin
        with DM.Qy_search do //MO_oO
        begin
          Close;
          SQL.Clear;
          SQL.Add('SELECT Customer_No FROM Policy WHERE Policy_No =:policy_no ');
          Params[0].AsString := policy_no;
          Open;

          if DM.Qy_search.IsEmpty then
            showmessage('SoO!!')
          else
          begin
            check_flag := True;
            customer_no := DM.Qy_search.FieldByName('Customer_No').AsString;
          end;
          Close;
        end;
      end
      else
        showmessage('SJO渹X!!');

      if check_flag = True then
      begin
        with DM.Qy_QPolicy do
        begin
          Params[0].AsString := policy_no;
          Open;
          fmReceipt.Ed_Year.Text := FieldByName('Year').AsString;
          fmReceipt.Ed_Policy.Text := FieldByName('Policy_No').AsString;
          fmReceipt.Ed_Kind.Text := FieldByName('Policy_Kind').AsString;
          fmReceipt.Ed_Insured1.Text := FieldByName('Insured1').AsString;
          fmReceipt.Ed_Insured2.Text := FieldByName('Insured2').AsString;
          fmReceipt.Ed_InsSum.Text := FloatToStr(FieldByName('Insur_Sum').AsFloat);
          fmReceipt.Ed_Premium.Text := FloatToStr(FieldByName('Premium').AsFloat);
          fmReceipt.Ed_Currency.Text := FieldByName('Currency_Par').AsString;
          fmReceipt.Ed_SalesNo.Text := FieldByName('Sales_No').AsString;
          fmReceipt.Ed_ColStaffNo.Text := FieldByName('ColStaff_No').AsString;
          fmReceipt.Ed_Invoice.Text := FieldByName('Invoice_No').AsString;
          fmReceipt.Ed_SBU.Text := FieldByName('SBU').AsString;
          fmReceipt.Ed_FPort.Text := FieldByName('From_Port').AsString;
          fmReceipt.Ed_TPort.Text := FieldByName('To_Port').AsString;
          Close;
        end;
        fmReceipt.Width := 420;
        fmReceipt.Height := 405;
        fmReceipt.Show;
        fmReceipt.Ed_Rate.SetFocus;
      end;

    except
      showmessage('Iڶ}ҵoͿ~!!');
    end;
  finally
    DM.Qy_QPolicy.Close;
  end;

end;


procedure TfmMain.BitBtn_SaveClick(Sender: TObject);
var
  policy_no, customer_no: string;
  check_flag: Boolean;
begin

  check_flag := False;

  if (Ed_Year.Text = '') or (Ed_Policy1.Text = '') or (Ed_Policy2.Text = '') or (ComBx_Kind.Text = '') or
    (Ed_Insured1.Text = '') or (Ed_InsSum.Text = '') or (Ed_Premium.Text = '') or (Ed_SalesNo.Text = '') or
    (Ed_Currency.Text = '') or (Ed_Amount.Text = '') or (Ed_SailDate.Text = '    /  /  ') or (Ed_PForm.Text = '') or (Ed_SBU.Text = '') or
    (Ed_TCode.Text = '') or (Ed_CusNo.Text = '') or (Ed_IssueDate.Text = '    /  /  ') or (ComBx_Copy.Text = '') or
    (Memo_Declare.Text = '') or (Ed_FPort.Text = '') or (Ed_TPort.Text = '') or (Ed_AppArea.Text = '') or (Ed_AppDate.Text = '    /  /  ') then
    showmessage('⪺쥲AбNƶ!!')
  else check_flag := True;

  if check_flag = True then
  begin
    try
      try
        policy_no := Ed_Policy1.Text + Ed_Policy2.Text;
        customer_no := Ed_CusNo.Text;
        with DM.Qy_search do //MO_oO
        begin
          Close;
          SQL.Clear;
          SQL.Add('SELECT customer_no FROM Policy WHERE Policy_No =:policy_no ');
          Params[0].AsString := policy_no;
          Open;
        end;

        if DM.Qy_search.IsEmpty then
        begin
          DM.Qy_Policy.Open;
          DM.Qy_Customer.Open;
          DM.Qy_Policy.insert;
          DM.Qy_Customer.insert;

          DM.Qy_Customer.FieldByName('Customer_No').AsString := Ed_CusNo.Text;
          DM.Qy_Customer.FieldByName('O_TEL').AsString := Ed_OTEL.Text;
          DM.Qy_Customer.FieldByName('M_TEL').AsString := Ed_MTEL.Text;
          DM.Qy_Customer.FieldByName('O_Address').AsString := Ed_OAddress.Text;
          DM.Qy_Customer.FieldByName('M_Address').AsString := Ed_MAddress.Text;
          DM.Qy_Customer.FieldByName('FAX_TEL').AsString := Ed_FAX.Text;
          DM.Qy_Customer.FieldByName('Sales_No').AsString := Ed_SalesNo.Text;
          DM.Qy_Customer.FieldByName('Insured1').AsString := Ed_Insured1.Text;
          DM.Qy_Customer.FieldByName('Insured2').AsString := Ed_Insured2.Text;

          DM.Qy_Policy.FieldByName('Policy_No').AsString := Ed_Policy1.Text + Ed_Policy2.Text;
          DM.Qy_Policy.FieldByName('PForm_Par').AsString := Ed_PForm.Text;
          DM.Qy_Policy.FieldByName('SBU').AsString := Ed_SBU.Text;
          DM.Qy_Policy.FieldByName('Currency_Par').AsString := Ed_Currency.Text;
          DM.Qy_Policy.FieldByName('Amount').AsFloat := StrToFloat(Ed_Amount.Text);
          DM.Qy_Policy.FieldByName('From_Port').AsString := Ed_FPort.Text;
          DM.Qy_Policy.FieldByName('To_Port').AsString := Ed_TPort.Text;
          DM.Qy_Policy.FieldByName('Trans_Code').AsString := Ed_TCode.Text;
          DM.Qy_Policy.FieldByName('Vessel_Name').AsString := Ed_Vessel.Text;
          DM.Qy_Policy.FieldByName('Voyage').AsString := Ed_Voyage.Text;
          DM.Qy_Policy.FieldByName('Sail_Date').AsString := Ed_SailDate.Text;
          DM.Qy_Policy.FieldByName('Appl_Area').AsString := Ed_AppArea.Text;
          DM.Qy_Policy.FieldByName('Appl_Date').AsString := Ed_AppDate.Text;
          DM.Qy_Policy.FieldByName('Declare').AsString := Memo_Declare.Text;
          DM.Qy_Policy.FieldByName('Invoice_No').AsString := Ed_Invoice.Text;
          DM.Qy_Policy.FieldByName('Condition1').AsString := Ed_Con1.Text;
          DM.Qy_Policy.FieldByName('Condition2').AsString := Ed_Con2.Text;
          DM.Qy_Policy.FieldByName('Condition3').AsString := Ed_Con3.Text;
          DM.Qy_Policy.FieldByName('Condition4').AsString := Ed_Con4.Text;
          DM.Qy_Policy.FieldByName('Condition5').AsString := Ed_Con5.Text;
          DM.Qy_Policy.FieldByName('Condition6').AsString := Ed_Con6.Text;
          DM.Qy_Policy.FieldByName('Condition7').AsString := Ed_Con7.Text;
          DM.Qy_Policy.FieldByName('Condition8').AsString := Ed_Con8.Text;
          DM.Qy_Policy.FieldByName('Condition9').AsString := Ed_Con9.Text;
          DM.Qy_Policy.FieldByName('Condition10').AsString := Ed_Con10.Text;
          DM.Qy_Policy.FieldByName('Copy').AsInteger := StrToInt(ComBx_Copy.Text);
          DM.Qy_Policy.FieldByName('Trans_At').AsString := Ed_TranAt.Text;
          DM.Qy_Policy.FieldByName('Trans_To').AsString := Ed_TranInto.Text;
          DM.Qy_Policy.FieldByName('GP').AsString := Memo_GP.Text;
          DM.Qy_Policy.FieldByName('LC').AsString := Ed_LC.Text;
          DM.Qy_Policy.FieldByName('IL').AsString := Ed_IL.Text;
          DM.Qy_Policy.FieldByName('Benefic').AsString := Ed_Benefic.Text;
          DM.Qy_Policy.FieldByName('ClaimPlace').AsString := Ed_CPlace.Text;
          DM.Qy_Policy.FieldByName('ClaimAgent').AsString := Ed_CAgent.Text;
          DM.Qy_Policy.FieldByName('Policy_No').AsString := Ed_Policy1.Text + Ed_Policy2.Text;
          DM.Qy_Policy.FieldByName('Year').AsString := Ed_Year.Text;
          DM.Qy_Policy.FieldByName('Policy_Kind').AsString := ComBx_Kind.Text;
          DM.Qy_Policy.FieldByName('O_Policy_No').AsString := Ed_OPolicy.Text;
          DM.Qy_Policy.FieldByName('Customer_No').AsString := Ed_CusNo.Text;
          DM.Qy_Policy.FieldByName('Insured1').AsString := Ed_Insured1.Text;
          DM.Qy_Policy.FieldByName('Insured2').AsString := Ed_Insured2.Text;
          DM.Qy_Policy.FieldByName('Insur_Sum').AsFloat := StrToFloat(Ed_InsSum.Text);
          DM.Qy_Policy.FieldByName('Premium').AsFloat := StrToFloat(Ed_Premium.Text);
          DM.Qy_Policy.FieldByName('ColStaff_No').AsString := Ed_ColStaffNo.Text;
          DM.Qy_Policy.FieldByName('Sales_No').AsString := Ed_SalesNo.Text;
          DM.Qy_Policy.FieldByName('Id_No').AsString := Ed_IdNo.Text;
          DM.Qy_Policy.FieldByName('Issue_Date').AsString := Ed_IssueDate.Text;
          DM.Qy_Policy.FieldByName('Benefic').AsString := Ed_Benefic.Text;

          DM.Qy_Policy.post;
          DM.Qy_Customer.post;
          BitBtn_Save.Visible := False;
        end
        else
        begin
          DM.Qy_QPolicy.Params[0].AsString := policy_no;
          DM.Qy_QCustomer.Params[0].AsString := customer_no;
          DM.Qy_QPolicy.Open;
          DM.Qy_QCustomer.Open;
          DM.Qy_QPolicy.Edit;
          DM.Qy_QCustomer.Edit;
          DM.Qy_QPolicy.UpdateStatus;
          DM.Qy_QCustomer.UpdateStatus;

          DM.Qy_QCustomer.FieldByName('Customer_No').AsString := Ed_CusNo.Text;
          DM.Qy_QCustomer.FieldByName('O_TEL').AsString := Ed_OTEL.Text;
          DM.Qy_QCustomer.FieldByName('M_TEL').AsString := Ed_MTEL.Text;
          DM.Qy_QCustomer.FieldByName('O_Address').AsString := Ed_OAddress.Text;
          DM.Qy_QCustomer.FieldByName('M_Address').AsString := Ed_MAddress.Text;
          DM.Qy_QCustomer.FieldByName('FAX_TEL').AsString := Ed_FAX.Text;
          DM.Qy_QCustomer.FieldByName('Sales_No').AsString := Ed_SalesNo.Text;
          DM.Qy_QCustomer.FieldByName('Insured1').AsString := Ed_Insured1.Text;
          DM.Qy_QCustomer.FieldByName('Insured2').AsString := Ed_Insured2.Text;

          DM.Qy_QPolicy.FieldByName('Policy_No').AsString := Ed_Policy1.Text + Ed_Policy2.Text;
          DM.Qy_QPolicy.FieldByName('PForm_Par').AsString := Ed_PForm.Text;
          DM.Qy_QPolicy.FieldByName('SBU').AsString := Ed_SBU.Text;
          DM.Qy_QPolicy.FieldByName('Currency_Par').AsString := Ed_Currency.Text;
          DM.Qy_QPolicy.FieldByName('Amount').AsFloat := StrToFloat(Ed_Amount.Text);
          DM.Qy_QPolicy.FieldByName('From_Port').AsString := Ed_FPort.Text;
          DM.Qy_QPolicy.FieldByName('To_Port').AsString := Ed_TPort.Text;
          DM.Qy_QPolicy.FieldByName('Trans_Code').AsString := Ed_TCode.Text;
          DM.Qy_QPolicy.FieldByName('Vessel_Name').AsString := Ed_Vessel.Text;
          DM.Qy_QPolicy.FieldByName('Voyage').AsString := Ed_Voyage.Text;
          DM.Qy_QPolicy.FieldByName('Sail_Date').AsString := Ed_SailDate.Text;
          DM.Qy_QPolicy.FieldByName('Appl_Area').AsString := Ed_AppArea.Text;
          DM.Qy_QPolicy.FieldByName('Appl_Date').AsString := Ed_AppDate.Text;
          DM.Qy_QPolicy.FieldByName('Declare').AsString := Memo_Declare.Text;
          DM.Qy_QPolicy.FieldByName('Invoice_No').AsString := Ed_Invoice.Text;
          DM.Qy_QPolicy.FieldByName('Condition1').AsString := Ed_Con1.Text;
          DM.Qy_QPolicy.FieldByName('Condition2').AsString := Ed_Con2.Text;
          DM.Qy_QPolicy.FieldByName('Condition3').AsString := Ed_Con3.Text;
          DM.Qy_QPolicy.FieldByName('Condition4').AsString := Ed_Con4.Text;
          DM.Qy_QPolicy.FieldByName('Condition5').AsString := Ed_Con5.Text;
          DM.Qy_QPolicy.FieldByName('Condition6').AsString := Ed_Con6.Text;
          DM.Qy_QPolicy.FieldByName('Condition7').AsString := Ed_Con7.Text;
          DM.Qy_QPolicy.FieldByName('Condition8').AsString := Ed_Con8.Text;
          DM.Qy_QPolicy.FieldByName('Condition9').AsString := Ed_Con9.Text;
          DM.Qy_QPolicy.FieldByName('Condition10').AsString := Ed_Con10.Text;
          DM.Qy_QPolicy.FieldByName('Copy').AsInteger := StrToInt(ComBx_Copy.Text);
          DM.Qy_QPolicy.FieldByName('Trans_At').AsString := Ed_TranAt.Text;
          DM.Qy_QPolicy.FieldByName('Trans_To').AsString := Ed_TranInto.Text;
          DM.Qy_QPolicy.FieldByName('GP').AsString := Memo_GP.Text;
          DM.Qy_QPolicy.FieldByName('LC').AsString := Ed_LC.Text;
          DM.Qy_QPolicy.FieldByName('IL').AsString := Ed_IL.Text;
          DM.Qy_QPolicy.FieldByName('Benefic').AsString := Ed_Benefic.Text;
          DM.Qy_QPolicy.FieldByName('ClaimPlace').AsString := Ed_CPlace.Text;
          DM.Qy_QPolicy.FieldByName('ClaimAgent').AsString := Ed_CAgent.Text;
          DM.Qy_QPolicy.FieldByName('Policy_No').AsString := Ed_Policy1.Text + Ed_Policy2.Text;
          DM.Qy_QPolicy.FieldByName('Year').AsString := Ed_Year.Text;
          DM.Qy_QPolicy.FieldByName('Policy_Kind').AsString := ComBx_Kind.Text;
          DM.Qy_QPolicy.FieldByName('O_Policy_No').AsString := Ed_OPolicy.Text;
          DM.Qy_QPolicy.FieldByName('Customer_No').AsString := Ed_CusNo.Text;
          DM.Qy_QPolicy.FieldByName('Insured1').AsString := Ed_Insured1.Text;
          DM.Qy_QPolicy.FieldByName('Insured2').AsString := Ed_Insured2.Text;
          DM.Qy_QPolicy.FieldByName('Insur_Sum').AsFloat := StrToFloat(Ed_InsSum.Text);
          DM.Qy_QPolicy.FieldByName('Premium').AsFloat := StrToFloat(Ed_Premium.Text);
          DM.Qy_QPolicy.FieldByName('ColStaff_No').AsString := Ed_ColStaffNo.Text;
          DM.Qy_QPolicy.FieldByName('Sales_No').AsString := Ed_SalesNo.Text;
          DM.Qy_QPolicy.FieldByName('Benefic').AsString := Ed_Benefic.Text;
          DM.Qy_QPolicy.FieldByName('Id_No').AsString := Ed_IdNo.Text;
          DM.Qy_QPolicy.FieldByName('Issue_Date').AsString := Ed_IssueDate.Text;

          DM.Qy_QPolicy.post;
          DM.Qy_QCustomer.post;
        end;

        showmessage('xsIƦ\!!');

      except
        showmessage('xsIƥ!!');
      end;

    finally
      DM.Qy_Search.Close;
      DM.Qy_Policy.Close;
      DM.Qy_Customer.Close;
      DM.Qy_QPolicy.Close;
      DM.Qy_QCustomer.Close;
    end;
  end;

end;


procedure TfmMain.Ed_SailDateExit(Sender: TObject);

begin
   {
    if copy(Ed_SailDate.Text,1,4)
      ShowMessage('JĦ~!!');
    if copy(Ed_SailDate.Text,5,2)
      ShowMessage('JĤ!!');
    if copy(Ed_SailDate.Text,7,1)
      ShowMessage('JĤ!!');

    Ed_SailDate.SetFocus;
    }
end;


procedure TfmMain.BitBtn_DeleteClick(Sender: TObject);
var
  policy_no, customer_no: string;
  check_flag: Boolean;
begin

  if application.MessageBox('TwnRO?', '߰', mb_yesno + mb_iconquestion) = idyes then
  begin
    try
      try
        policy_no := Ed_Policy1.Text + Ed_Policy2.Text;
        customer_no := Ed_CusNo.Text;
        Field_Clear;

        with DM.Qy_Search do
        begin
          Close;
          SQL.Clear;
          SQL.Add('delete from Policy WHERE Policy_No =:policy_no ');
          Params[0].AsString := policy_no;
          ExecSQL;
          Close;
          SQL.Clear;
          SQL.Add('delete from Customer WHERE Customer_No =:customer_no ');
          Params[0].AsString := customer_no;
          ExecSQL;
        end;
        showmessage('IO渹X: ' + policy_no + ' wQR!!');
      except
        showmessage('IO渹X: ' + policy_no + ' RoͿ~!!');
      end;

    finally
      DM.Qy_search.Close;
    end;
  end;
end;


procedure TfmMain.Ed_PFormExit(Sender: TObject);
begin

  if not ((Ed_PForm.Text = 'O') or (Ed_PForm.Text = 'N') or (Ed_PForm.Text = 'T')) then
  begin
    showmessage('пJO,N,T䤤@!!');
    Ed_PForm.SetFocus;
  end;


end;


procedure TfmMain.Ed_TCodeExit(Sender: TObject);
begin

  if not ((Ed_TCode.Text = 'S') or (Ed_TCode.Text = 'A') or (Ed_TCode.Text = 'P') or (Ed_TCode.Text = 'L')) then
  begin
    showmessage('пJS,A,P,L䤤@!!');
    Ed_TCode.SetFocus;
  end;
end;


procedure TfmMain.Ed_InsSumExit(Sender: TObject);
var
  TempNum: Double;
begin

  try
    TempNum := StrToFloat(TEdit(Sender).Text);

  except
    ShowMessage('пJƦr!!');
    Ed_InsSum.SetFocus;
  end;

end;


procedure TfmMain.Ed_PremiumExit(Sender: TObject);
var
  TempNum: Double;
begin

  try
    TempNum := StrToFloat(TEdit(Sender).Text);

  except
    ShowMessage('пJƦr!!');
    Ed_Premium.SetFocus;
  end;

end;


procedure TfmMain.Ed_AmountExit(Sender: TObject);
var
  TempNum: Double;
begin

  try
    TempNum := StrToFloat(TEdit(Sender).Text);

  except
    ShowMessage('пJƦr!!');
    Ed_Amount.SetFocus;
  end;

end;


procedure TfmMain.BitBtn_PrintClick(Sender: TObject);
var
  CPlace, FPort, TPort, claim1, claim2, ADD1, ADD2, ADD3, ADD4, ADD5, ADD6, TranAt, company_par: string;
  Con1,Con2,Con3,Con4,Con5,Con6,Con7,Con8,Con9,Con10,Dollar_Str: String;
  iCount,Dollar_Cnt: Integer;
begin
  try
    try
      CPlace := '';
      FPort := '';
      TPort := '';
      claim1 := '';
      claim2 := '';
      ADD1 := '';
      ADD2 := '';
      ADD3 := '';
      ADD4 := '';
      ADD5 := '';
      ADD6 := '';
      company_par := '';
      Con1 := '';
      Con2 := '';
      Con3 := '';
      Con4 := '';
      Con5 := '';
      Con6 := '';
      Con7 := '';
      Con8 := '';
      Con9 := '';
      Con10 := '';
      Dollar_Str := '';

      with DM.Qy_Company do
      begin
        Close;
        Open;
        company_par := FieldByName('Company_Par').AsString;
        Close;
      end;

      with DM.Qy_QPlant do
      begin
        Close;
        Params[0].AsString := Ed_CPlace.Text;
        Open;
        CPlace := FieldByName('Plant_Name').AsString;
        Close;

        Params[0].AsString := Ed_CAgent.Text;
        Open;
        claim1 := FieldByName('Claimagent1').AsString;
        claim2 := FieldByName('Claimagent2').AsString;
        ADD1 := FieldByName('ADD1').AsString;
        ADD2 := FieldByName('ADD2').AsString;
        ADD3 := FieldByName('ADD3').AsString;
        ADD4 := FieldByName('ADD4').AsString;
        ADD5 := FieldByName('ADD5').AsString;
        ADD6 := FieldByName('ADD6').AsString;
        Close;

        Params[0].AsString := Ed_FPort.Text;
        Open;
        FPort := FieldByName('Plant_Name').AsString;
        Close;

        Params[0].AsString := Ed_TPort.Text;
        Open;
        TPort := FieldByName('Plant_Name').AsString;
        Close;

        Params[0].AsString := Ed_TranAt.Text;
        Open;
        TranAt := FieldByName('Plant_Name').AsString;
        Close;
      end;


      with DM.Qy_QCondition do
      begin
        Close;
        Params[0].AsString := Ed_Con1.Text;;
        Open;
        Con1 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con2.Text;;
        Open;
        Con2 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con3.Text;;
        Open;
        Con3 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con4.Text;;
        Open;
        Con4 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con5.Text;;
        Open;
        Con5 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con6.Text;;
        Open;
        Con6 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con7.Text;;
        Open;
        Con7 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con8.Text;;
        Open;
        Con8 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con9.Text;;
        Open;
        Con9 := FieldByName('Condition1').AsString;
        Close;

        Params[0].AsString := Ed_Con10.Text;;
        Open;
        Con10 := FieldByName('Condition1').AsString;
        Close;

      end;


      with DM.Qy_Search do
      begin
        requestlive := false;
        Close;
        Sql.Clear;
        Sql.Add('delete from rp_temp'); //Query b requestlive = false pU,delete record~|T,M|o͸ƨSRD!!
        Execsql;
        Close;
        RequestLive := True;
        Sql.Clear;
        Sql.Add('select * from Rp_temp');
        Prepare;
        Open;

        for iCount := StrToInt(ComBx_Copy.Text) downto 1 do
        begin
          Insert;
          FieldByName('Field1').AsString := CPlace;
          FieldByName('Field2').AsString := 'In ' + Ed_Currency.Text + ' DOLLARS ';
          FieldByName('Field3').AsString := claim1;
          FieldByName('Field4').AsString := claim2;
          FieldByName('Field5').AsString := ADD1;
          FieldByName('Field6').AsString := ADD2;
          FieldByName('Field7').AsString := ADD3;
          FieldByName('Field8').AsString := ADD4;
          FieldByName('Field9').AsString := ADD5;
          FieldByName('Field10').AsString := ADD6;
          FieldByName('Field11').AsString := 'MESSRS. ' + Ed_Insured1.Text;
          FieldByName('Field12').AsString := Ed_Insured2.Text;
          FieldByName('Field13').AsString := 'BENEFICIARYG' + Ed_Benefic.Text;
          FieldByName('Field14').AsString := Ed_Invoice.Text;
          FieldByName('Field15').AsString := Ed_Currency.Text + '$' + Formatfloat('##,###,###,##0.00', strtofloat(Ed_InsSum.text));
          Dollar_Str := Ed_Currency.Text + ' DOLLARS ' + Tran_Prm(Formatfloat('00000000000.00', strtofloat(Ed_InsSum.text)));
          Dollar_Cnt := length(Ed_Currency.Text + ' DOLLARS ' + Tran_Prm(Formatfloat('00000000000.00', strtofloat(Ed_InsSum.text))));

          if Dollar_Cnt < 61 then
          begin
             FieldByName('Field16').AsString := copy(Dollar_Str,1,Dollar_Cnt);
          end
          else if ((Dollar_Cnt > 61) and (Dollar_Cnt < 121) )  then
          begin
            FieldByName('Field16').AsString := copy(Dollar_Str,1,60);
            FieldByName('Field43').AsString := copy(Dollar_Str,61,Dollar_Cnt-60);
          end
          else  if  (Dollar_Cnt > 121) and  (Dollar_Cnt < 181) then
          begin
            FieldByName('Field16').AsString := copy(Dollar_Str,1,60);
            FieldByName('Field43').AsString := copy(Dollar_Str,61,60);
            FieldByName('Field44').AsString := copy(Dollar_Str,121,Dollar_Cnt-120);
          end;

          FieldByName('Field17').AsString := Ed_Vessel.Text;
          FieldByName('Field18').AsString := Ed_Voyage.Text;
          FieldByName('Field19').AsString := FPort;
          FieldByName('Field20').AsString := TPort;

          if Ed_TCode.Text = 'S' then
            FieldByName('Field21').AsString := 'SAILING'
          else if Ed_TCode.Text = 'A' then
            FieldByName('Field21').AsString := 'FLYING'
          else if Ed_TCode.Text = 'P' then
            FieldByName('Field21').AsString := 'PARCEC'
          else if Ed_TCode.Text = 'L' then
            FieldByName('Field21').AsString := 'DEPARTURE';

          FieldByName('Field22').AsString := Tran_Date(Ed_SailDate.Text);
          FieldByName('Field23').AsString := TranAt;
          FieldByName('Field24').AsString := 'TRANSHIPPED INTOG' + Ed_TranInto.Text;
          FieldByName('Field25').AsString := Memo_Declare.Text;
          FieldByName('Field26').AsString := 'L/C  NoG' + Ed_LC.Text;
          FieldByName('Field27').AsString := 'I/L  NoG' + Ed_IL.Text;
          FieldByName('Field28').AsString := Con1;
          FieldByName('Field29').AsString := Con2;
          FieldByName('Field30').AsString := Con3;
          FieldByName('Field31').AsString := Con4;
          FieldByName('Field32').AsString := Con5;
          FieldByName('Field33').AsString := Con6;
          FieldByName('Field34').AsString := Con7;
          FieldByName('Field35').AsString := Con8;
          FieldByName('Field36').AsString := Con9;
          FieldByName('Field37').AsString := Con10;
          FieldByName('Field38').AsString := Memo_GP.Text;
          FieldByName('Field39').AsString := Ed_AppArea.Text;
          FieldByName('Field40').AsString := Tran_Date(Ed_AppDate.Text); Memo_GP.Text;
          FieldByName('Field41').AsString := Prt_Ary[icount - 1];
          FieldByName('Field42').AsString := company_par + '-' + Ed_Year.Text + '-' + Ed_Policy1.Text + '-' + Ed_Policy2.Text + '-' + ComBx_Kind.Text;
          Post;
        end;
       // Close;
      end;

      if Ed_PForm.Text = 'O' then //³
      begin

        Rp_RO := TRp_RO.Create(Application);
        DM.Qy_Report.Open;
        Rp_RO.Preview;

      end
      else if Ed_PForm.Text = 'N' then //s
      begin

        Rp_RN := TRp_RN.Create(Application);
        DM.Qy_Report.Open;
        Rp_RN.Preview;

      end
      else if Ed_PForm.Text = 'T' then //T 
      begin

        Rp_RT := TRp_RT.Create(Application);
        DM.Qy_Report.Open;
        Rp_RT.Preview;

      end;

    except
      showmessage('IOCL!!');
    end;

  finally
    DM.Qy_Search.Close;
    DM.Qy_QPlant.Close;
    DM.Qy_Company.Close;
  end;
end;



procedure TfmMain.Ed_Policy1Exit(Sender: TObject);
var
word: String;
begin

  if (Trim(Ed_Policy1.text) = '') then
  begin
    showmessage('SJX!!');
    Ed_Policy1.SetFocus;
  end
  else if  (Trim(Ed_Policy1.text) <> '') and (length(Trim(Ed_Policy1.text)) <> 8) then
  begin
    showmessage('IO渹Xݬ8X!!');
    Ed_Policy1.SetFocus;
  end
  else if  (Trim(Ed_Policy1.text) <> '') and (length(Trim(Ed_Policy1.text)) = 8) then
  begin
    word := '';
    word := copy(Trim(Ed_Policy1.Text),8,1);

    if word <> 'M' then
    begin
     showmessage('IO渹XݥH M X!!');
     Ed_Policy1.SetFocus;
    end;
  end;

end;

end.
